Ipelib

- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# ipe::Face Class Reference
Ipe Cairo interface

A typeface (aka font), actually loaded (from a font file or PDF file). More...

`#include <ipefonts.h>`

List of all members.

## Public Member Functions

- Face (int id, const Font &font)
- ~Face ()
- bool matches (int id) const
- Font::TType type () const
- int width (int ch) const
- cairo_font_face_t * cairoFont ()
- int getGlyph (int ch)

## Detailed Description

A typeface (aka font), actually loaded (from a font file or PDF file).

## Constructor & Destructor Documentation

Face::Face | ( | int | id,
|  | const Font & | font
| ) |  |

Face::~Face | ( |  | ) |

## Member Function Documentation

bool ipe::Face::matches | ( | int | id | ) | const`[inline]`

Font::TType ipe::Face::type | ( |  | ) | const`[inline]`

int ipe::Face::width | ( | int | ch | ) | const`[inline]`

cairo_font_face_t* ipe::Face::cairoFont | ( |  | ) | `[inline]`

int Face::getGlyph | ( | int | ch | ) |

The documentation for this class was generated from the following files:

- ipefonts.h
- ipefonts.cpp